---
layout: single
title:  "Contributors Introduction"
description: "Various ways to contribute to the InfoHub, and its Associated Web-Resources."
excerpt: >
  This contributors introduction is to encourage participation, with minimal barriar to entry.
header:
  teaser: https://infominer.xyz/assets/img/infohub-contributors-thumb.png
  image: https://infominer.xyz/assets/img/infohub-contributors-intro.png
  caption: "Quickstart for [GitHub](https://github.com/infominer33), [Twitter](https://twitter.com/SourceCrypto), and [Discord](https://discord.gg/29mZwPQ) Participation."
tags: 
  - Public-Domain
  - Open-Source
  - Jekyll
  - CSS
  - JavaScript
  - Configuration
  - MinimalMistakes
  - GitHub-Pages
  - Web-Publishing
  - Blockchain
  - Bitcoin
  - Decentralized-Identity
  - Web-Work
  - Twitter
  - Discord
  - GitHub
  - Integrations
authors: 
  - "<a href='https://infominer.xyz'>Infominer</a>"
  - "<a href='https://www.caballerojuan.com'>JuanSC</a>"
permalink: contributors-intro/
categories: [InfoHub, SourceCrypto, Web-Work-Tools, DIDecentral, Learn-Crypto-Trading, Contributors-Guide]
published: false
last_modified_at: 2019-06-26
---

Perhaps you've browsed these sites and wondered about contributing, but aren't sure where to start. In this post, we'll go over the simplest ways to contribute, as a broad overview.

This lays the foundation for detailed guides for these onramps. It might feel intimidating to try and learn GitHub, but I assure you its a web-site with buttons and menus like any other.

Discord is a lot of fun to use, if you've been locked away in slack silos, this may come as a refreshing change. You never have to pay to read the channel history, and only sign up one time to use any Discord server, unlike Slack. The UX is awesome, and it's accessible for developers and anyone who likes using google search to figure how to hack together cool integrations.

## On GitHub
I welcome any issues or pull requests for question, comments, or contributions of any type. 


{% include figure image_path="/assets/img/github-com-infominer33.png" alt="github.com/infominer33" caption="[github.com/infominer33](https://github.com/infominer33)" %}

### GitHub Organizations

Here are links to the organizations, on GitHub and a few of the websites in active development.

* [DIDecentral](https://github.com/DIDecentral)
* [Web-work.tools](https://github.com/web-work-tools/)
  * [Indieweb](https://github.com/web-work-tools/indieweb)
* [SourceCrypto](https://github.com/sourcecrypto/)
  * [Bitcoin History](https://github.com/source-crypto/bitcoin-history)
  * [Crypto Transcripts](https://github.com/sourcecrypto/transcripts)
* [Learn Crypto Trading](https://github.com/learn-crypto-trading/)

There are a few more web-sites under development, which you can discover by browsing the Organizations on GitHub.

## GitHub Issues

Generally speaking, this is a good place if you have a link or two to contribute, have a question, or to complain about some broken feature of the website.

## Pull-Request

These are good if you'd like to correct something, or suggest some changes to any aspect of the site. Also, a pull-request is the would be the official pipeline for introducing changes from someone besides who has commmit access to the repository.

### "Edit This Page" 

![](https://imgur.com/t0Si4aE.png)

Nearly every page, on each of the sites I operate has a section like this, where you can share or edit on GitHub.

Clicking that button takes you to the raw, unformatted version of the page on GitHub. When you are logged in to GitHub, that puts you one click away from editing this page: look for the pencil icon on the right side, just above where the line-numbered raw file begins.

![](https://imgur.com/vb59ogs.png)

Clicking it will reload an take you to an editable version of the page, which proposes an update through github.  The monitor icon will open an editable change-proposal of the file.  This allows you to contribute through a familiar interface (your web-browser), without having to understand anything about GitHub.

Whether it's an actual improvement, fully functioning with proper markup, or simply a note intended for me to read, but not include on the page, it will be read and appreciated! Even if your change isn't perfect: I'll try to accept it and include your "commits", which are github's way of recording your contribution. I'm not a "GitHub professional", but I take this seriously and work on these pages this day in and day out.

## If you all could just..

![](https://infominer.xyz/bookmark-donations/that-would-be-great.jpg)

If you would export me a copy of your bookmarks.... that would be great! After a while I'll make a few fine grained how-to. This is one of the simplest ways that nearly anyone could make a significant contribution. I want to create detailed guides, to ensure that everyone is able.

## @ mention on twitter

You can simply @ mention @didecentral, @sourcecrypto @LCT-curator and any other accounts we've created for a particular niche, on twitter. Soon, each organization within the InfoHub will have it's own Twitter account, and the history of each of those accounts will be preserved and republished on their respective websites in keeping with [indieweb](https://web-work.tools/indieweb/) principles.

## Contributing Via Discord

Discord is, hands down, my favorite way to collaborate with contributors informally. If you've never used it before, Discord is a powerful, free-to-use, closed-source communication/collaboration platform like Slack or Telegram, originally designed for the gaming community but since popular with opensource projects and startups. 

You can see if you read around in the snapshot I recently published here of the contents of the [SourceCrypto Discord Server](https://SourceCrypto.pub/discolog/) that I use Discord as a kind of open and social blotter for ideas, links, and resources. 

![](https://imgur.com/zfLWXVSl.png){: .align-left}
Throughout the day, I share posts to the channels of various discord servers I operate, throughout my day, on the fly ... mostly on smoke breaks. 

A number of others have contributed over the past year, and now it is starting to pick up steam. Its also possible to leave comments, and questions inline with the links. Any that have substance, and are on-topic, will be re-published in the eventual discord export to web-page.

I'll by adding more details to this page, like tips and tricks for each mode of contribution, in the coming weeks.

### Discord Mobile Share 

I have an iPhone, and will have to discover how to do this with Android. However, I hope it's rather intuitive, once you think of it. 

Here I'm visiting [Dev.to](https://dev.to) on my smoke break, and find some useful content, almost always.

I had to enable sharing to discord, and you might have to do the same type of thing with android. Once you've set up the sharing integration, then it's simple to do, on the go.


**1** ![](https://infominer.xyz/assets/img/discord-share-workflow-1.png) **2** ![](https://infominer.xyz/assets/img/discord-share-workflow-2.png)

**3** ![](https://infominer.xyz/assets/img/discord-share-workflow-3.png) **4** ![](https://infominer.xyz/assets/img/discord-share-workflow-4.png)


## Thanks for Visiting!